| QxOrm 1.4.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Namespaces | Functions
qx::cvt Namespace Reference
QxCommon : QxOrm library common tools and macros

Provide global functions to convert any kind of objects to/from QString and QVariant format. More...

## Namespaces
namespace | detail
| Internal helper tools for qx::cvt namespace.
## Functions
template<typename T >
QString | to_string (const T &t, const QString &format)
template<typename T >
qx_bool | from_string (const QString &s, T &t, const QString &format)
template<typename T >
QVariant | to_variant (const T &t, const QString &format)
template<typename T >
qx_bool | from_variant (const QVariant &v, T &t, const QString &format)
template<typename T >
QString | to_string (const T &t)
template<typename T >
qx_bool | from_string (const QString &s, T &t)
template<typename T >
QVariant | to_variant (const T &t)
template<typename T >
qx_bool | from_variant (const QVariant &v, T &t)
template<typename T >
QString | to_string (const T &t, const QString &format, int index)
template<typename T >
qx_bool | from_string (const QString &s, T &t, const QString &format, int index)
template<typename T >
QVariant | to_variant (const T &t, const QString &format, int index)
template<typename T >
qx_bool | from_variant (const QVariant &v, T &t, const QString &format, int index)
template<typename T >
QJsonValue | to_json (const T &t, const QString &format=QString())
template<typename T >
qx_bool | from_json (const QJsonValue &j, T &t, const QString &format=QString())

## Detailed Description

Provide global functions to convert any kind of objects to/from QString and QVariant format.

## Function Documentation

template<typename T >

qx_bool qx::cvt::from_json | ( | const QJsonValue & | j,
|  | T & | t,
|  | const QString & | format = `QString()`
| ) |  | `[inline]`

Definition at line 91 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_string | ( | const QString & | s,
|  | T & | t,
|  | const QString & | format
| ) |  | `[inline]`

Definition at line 75 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_string | ( | const QString & | s,
|  | T & | t
| ) |  | `[inline]`

Definition at line 80 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_string | ( | const QString & | s,
|  | T & | t,
|  | const QString & | format,
|  | int | index
| ) |  | `[inline]`

Definition at line 85 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_variant | ( | const QVariant & | v,
|  | T & | t,
|  | const QString & | format
| ) |  | `[inline]`

Definition at line 77 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_variant | ( | const QVariant & | v,
|  | T & | t
| ) |  | `[inline]`

Definition at line 82 of file QxConvert.h.

template<typename T >

qx_bool qx::cvt::from_variant | ( | const QVariant & | v,
|  | T & | t,
|  | const QString & | format,
|  | int | index
| ) |  | `[inline]`

Definition at line 87 of file QxConvert.h.

template<typename T >

QJsonValue qx::cvt::to_json | ( | const T & | t,
|  | const QString & | format = `QString()`
| ) |  | `[inline]`

Definition at line 90 of file QxConvert.h.

template<typename T >

QString qx::cvt::to_string | ( | const T & | t,
|  | const QString & | format
| ) |  | `[inline]`

Definition at line 74 of file QxConvert.h.

template<typename T >

QString qx::cvt::to_string | ( | const T & | t | ) | `[inline]`

Definition at line 79 of file QxConvert.h.

template<typename T >

QString qx::cvt::to_string | ( | const T & | t,
|  | const QString & | format,
|  | int | index
| ) |  | `[inline]`

Definition at line 84 of file QxConvert.h.

template<typename T >

QVariant qx::cvt::to_variant | ( | const T & | t,
|  | const QString & | format
| ) |  | `[inline]`

Definition at line 76 of file QxConvert.h.

template<typename T >

QVariant qx::cvt::to_variant | ( | const T & | t | ) | `[inline]`

Definition at line 81 of file QxConvert.h.

template<typename T >

QVariant qx::cvt::to_variant | ( | const T & | t,
|  | const QString & | format,
|  | int | index
| ) |  | `[inline]`

Definition at line 86 of file QxConvert.h.